Package org.apache.calcite.avatica

## Enum UnregisteredDriver.JdbcVersion

- java.lang.Object
- - java.lang.Enum<UnregisteredDriver.JdbcVersion>
  - - org.apache.calcite.avatica.UnregisteredDriver.JdbcVersion

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<UnregisteredDriver.JdbcVersion>`

Enclosing class:
  UnregisteredDriver

    protected static enum UnregisteredDriver.JdbcVersion
    extends java.lang.Enum<UnregisteredDriver.JdbcVersion>

JDBC version.

### Enum Constant Summary

Enum Constants
`JDBC_30` JDBC version 3.0.
`JDBC_40` JDBC version 4.0.
`JDBC_41` JDBC version 4.1.
`JDBC_UNKNOWN` Unknown JDBC version.

### Constructor Summary

Constructors
`private` `JdbcVersion()`

### Method Summary

All Methods Static Methods Concrete Methods
`static UnregisteredDriver.JdbcVersion` `current()` Deduces the current JDBC version.
`static UnregisteredDriver.JdbcVersion` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UnregisteredDriver.JdbcVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JDBC_UNKNOWN

    public static final UnregisteredDriver.JdbcVersion JDBC_UNKNOWN

Unknown JDBC version.

#### JDBC_30

    public static final UnregisteredDriver.JdbcVersion JDBC_30

JDBC version 3.0. Generally associated with JDK 1.5.

#### JDBC_40

    public static final UnregisteredDriver.JdbcVersion JDBC_40

JDBC version 4.0. Generally associated with JDK 1.6.

#### JDBC_41

    public static final UnregisteredDriver.JdbcVersion JDBC_41

JDBC version 4.1. Generally associated with JDK 1.7.

### Constructor Detail

#### JdbcVersion

    private JdbcVersion()

### Method Detail

#### values

    public static UnregisteredDriver.JdbcVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UnregisteredDriver.JdbcVersion c : UnregisteredDriver.JdbcVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UnregisteredDriver.JdbcVersion valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### current

    public static UnregisteredDriver.JdbcVersion current()

Deduces the current JDBC version.